Summary:	X.org video drivers for ATI Rage128 adapters
Summary(pl.UTF-8):	Sterowniki obrazu X.org do kart graficznych ATI Rage128
Name:		xorg-driver-video-r128
Version:	6.9.2
Release:	4
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-r128-%{version}.tar.bz2
# Source0-md5:	2e906d856a1c477bde000254b142445c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.2
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.2
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= 2.2
Requires:	xorg-xserver-libdri >= 1.2
Requires:	xorg-xserver-libglx >= 1.2
Requires:	xorg-xserver-server >= 1.2
Provides:	xorg-driver-video
Obsoletes:	X11-driver-r128 < 1:7.0.0
Obsoletes:	XFree86-Rage128
Obsoletes:	XFree86-driver-r128 < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for ATI r128 adapters; supports all ATI Rage 128
based video cards including the Rage Fury AGP 32MB, the XPERT 128 AGP
16MB and the XPERT 99 AGP 8MB.

%description -l pl.UTF-8
Sterownik obrazu X.org do kart graficznych ATI r128; obsługuje
wszystkie karty graficzne oparte na układzie ATI Rage 128, włącznie z
Rage Fury AGP 32MB, XPERT 128 AGP 16MB i XPERT 99 AGP 8MB.

%prep
%setup -q -n xf86-video-r128-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/r128_drv.so
%{_mandir}/man4/r128.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-r128.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 505fb09
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0931be4
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 44d01b3
- release 2 (by relup.sh)

* Wed Oct 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 48ae41e
- updated to 6.9.2

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 76fe202
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> e8a80a1
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 1581094
- updated to 6.9.1
- removed xorg-driver-video-qxl.spec, it doesn't belong here (where it came from???)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 48ec939
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 3c24bfa
- updated to 6.8.4

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> d40372c
- updated to 6.8.3

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> f947ea6
- updated to 6.8.2

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 31d4794
- release 9

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 68ef990
- release 8

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> fc4f9f7
- xorg-driver-video virtual for video drivers
- release 7

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b79eecd
- release 6

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> aa3c5ee
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 58dbe79
- initial; splitted from ati driver

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> d2d1ecd
- more docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d37b6c
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 464d037
- BR: xorg-proto-glproto-devel, xorg-proto-xineramaproto-devel

